Bug 1016127 - Cannot install Nvidia CUDA
Cannot install Nvidia CUDA
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
http://docs.nvidia.com/cuda/cuda-gett...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 10:49 EDT by Martin Ellison
Modified: 2013-10-07 10:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-07 10:56:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Ellison 2013-10-07 10:49:13 EDT
Description of problem: cannot install Nvidia CUDA using yum.


Version-Release number of selected component (if applicable): CUDA 5.5


How reproducible: consistent


Steps to Reproduce:
1. add Nvidia CUDA repository
2. yum install cuda
3.

Actual results: transaction check error see below


Expected results: CUDA installs and runs


Additional info:

Transaction check error:
  file /usr/share/man/man1/nvidia-xconfig.1.gz from install of nvidia-xconfig-319.37-27.fc18.x86_64 conflicts with file from package xorg-x11-drv-nvidia-1:325.15-1.fc19.x86_64
  file /usr/bin/nvidia-settings from install of nvidia-settings-319.37-30.fc18.x86_64 conflicts with file from package xorg-x11-drv-nvidia-1:325.15-1.fc19.x86_64
  file /usr/share/applications/nvidia-settings.desktop from install of nvidia-settings-319.37-30.fc18.x86_64 conflicts with file from package xorg-x11-drv-nvidia-1:325.15-1.fc19.x86_64
  file /usr/share/man/man1/nvidia-settings.1.gz from install of nvidia-settings-319.37-30.fc18.x86_64 conflicts with file from package xorg-x11-drv-nvidia-1:325.15-1.fc19.x86_64

There's nothing, as far as I can see, in the Nvidia forums, and the user registration there is not sending out confirmation emails, so I cannot ask the question there.
Comment 1 Jan Zeleny 2013-10-07 10:56:36 EDT
First of all, let me state that this is not a forum or any sort of medium where to get help, I recommend using proper Fedora mailing list for that. That being said, the error you encountered is not a bug in yum, it is just a report of a problem. Files in the package in question are conflicting with files in another package, namely xorg-x11-drv-nvidia. Uninstalling that package should solve the original problem.

Note You need to log in before you can comment on or make changes to this bug.